List FAQs
Retrieves all FAQ entries for the specified knowledge base.
GET
/
knowledge-base
/
{knowledgeBaseId}
/
faqs
List FAQs
curl --request GET \
--url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"faqs": [
{
"id": "faq_abc123",
"knowledgeBaseId": "kb_abc123def456",
"question": "How do I reset my password?",
"answer": "Navigate to Settings > Security and click Reset Password.",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Path Parameters
The knowledge base ID to list FAQs for
Example:
"kb_abc123def456"
Last modified on March 7, 2026
Was this page helpful?
List FAQs
curl --request GET \
--url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"faqs": [
{
"id": "faq_abc123",
"knowledgeBaseId": "kb_abc123def456",
"question": "How do I reset my password?",
"answer": "Navigate to Settings > Security and click Reset Password.",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}